DMESG(1)

NOM
dmesg - Afficher et contrôler le tampon des messages du noyau

SYNOPSIS
dmesg [ -c ] [ -n niveau ] [ -s taille ]

DESCRIPTION
dmesg est utilisé pour examiner ou contrôler le tampon des messages du noyau. Le programme aide les utilisateurs à afficher les messages du démarrage de la machine. Au lieu de copier ces messages à la main, il suffit de faire
    dmesg > boot.messages
et envoyer par courrier électronique le fichier boot.messages à quelqu'un capable d'identifier un éventuel problème.

OPTIONS

-c  Efface le tampon des messages du noyau après les avoir affichés.

-s taille
    utilise un tampon de la taille indiquée au lieu d'utiliser la taille courante. La valeur par défaut est 16392. (Au début, la taille par défaut du tampon des messages du noyau était 4096, 8192 depuis la version 1.3.54, 16384 depuis la version 2.1.113.) Si vous utilisez un tampon plus grand que celui par défaut, cette option vous permet de voir le tampon tout entier.

-n niveau
    règle le niveau des messages à afficher sur la console. Par exemple, -n 1 supprime l'affichage de tous les messages, exceptés les messages graves. Tous les niveaux d'affichage des messages sont enregistrés dans /proc/kmsg, ainsi syslogd(8) peut être toujours utilisé pour contrôler exactement où les messages du noyau apparaissent. Quand l'option -n est utilisée, dmesg n'affichera ou n'effacera pas le tampon des messages du noyau. Quand les deux options sont utilisées, seule la dernière option sur la ligne de commande est prise en compte.

AUTEUR
Theodore Ts'o (tytso@athena.mit.edu)

DISPONIBILITÉ
La commande dmesg fait partie du paquetage util-linux-ng et est disponible à l'adresse ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.

VOIR AUSSI
syslogd(8)

TRADUCTION
Ce document est une traduction réalisée par Thierry Vignaud <tvignaud AT mandriva AT com> en 1999 et révisée le 26 mai 2008.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 8 dmesg ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.